Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class SpacePropertyMaker

    java.lang.Object
      org.apache.fop.fo.properties.CorrespondingPropertyMaker
          org.apache.fop.fo.properties.SpacePropertyMaker

    public class SpacePropertyMaker

extends CorrespondingPropertyMaker

Special CorrespondingPropertyMaker that sets the conditionality subproperty correctly for space-* properties.

Field Summary

Fields inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker
`baseMaker, lrtb, rltb, tblr, tbrl, useParent`

Constructor Summary
`SpacePropertyMaker(PropertyMaker baseMaker)`

Method Summary
`Property` | `compute(PropertyList propertyList)` Return a Property object representing the value of this property, based on other property values for this FO.

Methods inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker
`getWMPropertyList, isCorrespondingForced, setCorresponding, setRelative, setUseParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpacePropertyMaker

    public SpacePropertyMaker(PropertyMaker baseMaker)

Parameters:
  `baseMaker` - base property maker

Method Detail

### compute

    public Property compute(PropertyList propertyList)
                     throws PropertyException

  Return a Property object representing the value of this property, based on other property values for this FO. A special case is properties which inherit the specified value, rather than the computed value.

  Overrides:
    `compute` in class `CorrespondingPropertyMaker`
  Parameters:
    `propertyList` - The PropertyList for the FO.
  Returns:
    Property A computed Property value or null if no rules are specified (in foproperties.xml) to compute the value.
  Throws:
    `PropertyException` - if a property exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.